---
id: contributing
title: Help Wanted!
sidebar_label: Help Wanted!
slug: /dev
---
:::info
Please contact us in [the forum](https://github.com/facebookincubator/flowtorch/discussions) if you are interested in becoming an independent contributor and tag your discussion with ":bulb: Ideas" - the process is outlined [here](/dev/overview).
:::

## Call for Contributions
We are looking for independent collaborators to:
* add new bijectors (i.e., normalizing flow transforms) and parameters (i.e., conditioning networks);
* [discover and fix bugs](https://github.com/facebookincubator/flowtorch/issues/new/choose); and,
* write tutorials on [applications of Normalizing Flow methodology](/dev/bibliography#applications).

The [Core Developers](/dev/about) are able to help smooth [the process of making a contribution](/dev/overview).


## Why Contribute?
Why would you freely give up your labour and contribute to an open-source project? Firstly, contributing to an open-source project is excellent for one's professional development as a software engineer. Take the example of the author, who started contributing to an open-source project during his PhD and developed important DevOp skills. It was greatly responsible for his scoring an internship in Industry and kickstarting his career. Contributors will be recognised both [here](/dev/about#contributors) and [here](https://github.com/facebookincubator/flowtorch/graphs/contributors).

Another reason is that [it is inherently satisfying to make](https://en.wikipedia.org/wiki/Maker_culture). By contributing to [FlowTorch](https://flowtorch.ai) you will be creating useful components that will have a concrete impact. Finally, a main motivation behind [FlowTorch](https://flowtorch.ai) is to advance scientific knowledge around representing probability distributions and their applications - by contributing to [FlowTorch](https://flowtorch.ai) you are contributing to the advancement of science!

See [here](https://opensource.guide/how-to-contribute/) for a more detailed essay on the philosophy of open-source.

## Code of Conduct
As a contributor, you agree to abide by the [Contributor Covenant Code of Conduct](https://github.com/facebookincubator/flowtorch/blob/main/CODE_OF_CONDUCT.md). In a nutshell, the code says [Be Excellent to Each Other!](https://www.youtube.com/watch?v=rph_1DODXDU) Please report any suspected violations to the Core Developers.
